<script type="text/javascript">
    RED.nodes.registerType('keybase-in', {
        category: 'network',
        color: '#4C8EFF',
        defaults: {
            name: { value: "" },
            bot: { value: "", type: "keybase-bot" },
            command: { value: "" },
            description: { value: "" },
            usage: { value: "" }
        },
        inputs: 0,
        outputs: 1,
        icon: "font-awesome/fa-key",
        label: function () {
            return this.name || "keybase in";
        }
    });
</script>

<script type="text/html" data-template-name="keybase-in">
    <div class="form-row">
        <label for="node-input-name"><i class="icon-tag"></i> Name</label>
        <input type="text" id="node-input-name" placeholder="node name">
    </div>
    <div class="form-row">
        <label for="node-input-bot"><i class="icon-tag"></i> Bot</label>
        <input type="text" id="node-input-bot" placeholder="the bot account to be used">
    </div>
    <div class="form-row">
        <label for="node-input-command"><i class="icon-tag"></i> Command</label>
        <input type="text" id="node-input-command" placeholder="command shortcut for chat">
    </div>
    <div class="form-row">
        <label for="node-input-description"><i class="icon-tag"></i> Description</label>
        <input type="text" id="node-input-description" placeholder="what the command does">
    </div>
    <div class="form-row">
        <label for="node-input-usage"><i class="icon-tag"></i> Usage</label>
        <input type="text" id="node-input-usage" placeholder="list or range of valid command arguments">
    </div>
</script>

<script type="text/html" data-help-name="keybase-in">
    <p>Receive command messages from a keybase chat channel</p>
</script>